/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
.bootstrap-notify-alert {
  display: none;
}

.notify-container {
  position: relative;
}

[data-notify="container"].alert {
  @include box-shadow(0px 0px 15px 5px rgba(0, 0, 0, 0.05));
  &.alert-success {
    border-color: lighten($alert-success-text, 30);
    .close { color: $alert-success-text; }
  }
  &.alert-danger,
  &.alert-error {
    //border-color: lighten($alert-danger-text, 30);
    //.close { color: $alert-danger-text; }
    background-color: $red;
    color:#FFF;
    border-color: darken($red, 10);
  }
  &.alert-warning {
    border-color: lighten($alert-warning-text, 30);
    .close { color: $alert-warning-text; }
  }
  &.alert-info {
    border-color: lighten($alert-info-text, 30);
    .close { color: $alert-info-text; }
  }

  .close {
    @include opacity(.3);
    &:hover {
      @include opacity(.6);
    }
  }
}

[data-notify="progressbar"] {
  margin-bottom: 0px;
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  height: 5px;
}